AgileTv

AgileTv resource represents an AgileTv subscription containing specific AgileTv data besides all data applicable to any subscription


Parameters

Name In Type Required Description
org path string true Organization name
offset query integer false Pagination offset
limit query integer false Pagination limit
legacy_id query integer false Resource legacy ID
legacy_account_id query integer false Account id the subscription is linked to. Required if the legacy_id, account_id, or legacy_bundle_id filters are not provided. Linked to MySim/Apollo storage, to be deprecated.
legacy_bundle_id query integer false Bundle id the subscription is linked to. Required if the ‘legacy_id’, ‘account_id’, or ‘legacy_account_id’ filters are not provided. Linked to MySim/Apollo storage, to be deprecated.
account_id query string false Account id the subscription is linked to. Required if the ‘legacy_id’, ‘legacy_account_id’, or ‘legacy_bundle_id’ filters are not provided.
mandatory query boolean false Mandatory subscription filter
status query SubscriptionStatusFilterEnum false Subscription status filter
type query SubscriptionType false Subscription type
activation_date query DateFilterEnum false Resource activation date filter. Available filters are [eq, lt, lte, gt, gte]. Format according to ISO 8601
deactivation_date query DateFilterEnum false Resource deactivation date filter. Available filters are [eq, lt, lte, gt, gte]. Format according to ISO 8601
service_id query string false Filter subscriptions by provider service id.
product_id query string false Filter subscriptions by provider product id.
is_primary query boolean false Filter subscriptions by primary status.

Request example

1
2
3
4
5

curl -X GET https://subscriptions.masstack.com/v2/orgs/yoigo/subscriptions/agile_tv?offset='0'&limit='50'&legacy_id='0'&legacy_account_id='572234234'&legacy_bundle_id='26245435'&account_id='ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39'&mandatory='true'&status={"eq":"ACTIVE","in":["ACTIVE"]}&type='NETFLIX'&activation_date='2023-01-05T03:30:15Z'&deactivation_date='2023-01-05T03:30:15Z'&service_id='f6e5d4c3-b2a1-4098-a7b6-c5d4e3f2a1b0'&product_id='a1b2c3d4-e5f6-47a8-b9c0-d1e2f3a4b5c6'&is_primary='true' \
  -H "Accept: application/json" \
  -H "Authorization: Bearer {access-token}"

Responses

Code Meaning Description Schema
200 OK OK AgileTvSet
403 Forbidden Forbidden access ErrorResponse
500 Internal Server Error Internal server error ErrorResponse
default Default Any client or server error ErrorResponse

Parameters

Name In Type Required Description
org path string true Organization name
bundleId path string(uuid) true Bundle identifier

Request example

1
2
3
4
5

curl -X GET https://subscriptions.masstack.com/v2/orgs/yoigo/bundles/7a15e304-c357-449b-bd58-bcfb43b3471d/subscriptions/agile_tv \
  -H "Accept: application/json" \
  -H "Authorization: Bearer {access-token}"

Responses

Code Meaning Description Schema
200 OK OK AgileTvSet
403 Forbidden Forbidden access ErrorResponse
404 Not Found A bundle with the specified id was not found ErrorResponse
500 Internal Server Error Internal server error ErrorResponse
default Default Any client or server error ErrorResponse

Parameters

Name In Type Required Description
org path string true Organization name
subscriptionId path string(uuid) true Subscription unique identifier

Request example

1
2
3
4
5

curl -X GET https://subscriptions.masstack.com/v2/orgs/yoigo/subscriptions/agile_tv/ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39 \
  -H "Accept: application/json" \
  -H "Authorization: Bearer {access-token}"

Responses

Code Meaning Description Schema
200 OK OK AgileTv
403 Forbidden Forbidden access ErrorResponse
404 Not Found A subscription with the specified id was not found ErrorResponse
500 Internal Server Error Internal server error ErrorResponse
default Default Any client or server error ErrorResponse

Parameters

Name In Type Required Description
org path string true Organization name
subscriptionId path string(uuid) true Subscription unique identifier
body body OperationsSet true Array of operations to apply to AgileTv specific data

Request body - JsonObject

1
2
3
4
5
6
7
8
[
  {
    "op": "add",
    "path": "/status",
    "value": "DEACTIVATED",
    "reason": "SUBSCRIBER_REQUESTED"
  }
]
Name Type Required Description
anonymous [Operation] false none

Request example

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14

curl -X PATCH https://subscriptions.masstack.com/v2/orgs/yoigo/subscriptions/agile_tv/ce2f20cb-35df-4ffe-bca6-c0ed0c28cb39 \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer {access-token}" \
 --data-raw "[
  {
    'op': 'add',
    'path': '/status',
    'value': 'DEACTIVATED',
    'reason': 'SUBSCRIBER_REQUESTED'
  }
]" 

Responses

Code Meaning Description Schema
200 OK OK AgileTv
400 Bad Request Bad request ErrorResponse
403 Forbidden Forbidden access ErrorResponse
404 Not Found A subscription with the specified id was not found ErrorResponse
500 Internal Server Error Internal server error ErrorResponse
default Default Any client or server error ErrorResponse

Endpoints

Subscriptions

    Bundles

      Promotions

        Devices

          AddOns

            Amazon Prime

              Max

                Mobile

                  Broadband

                    Landline

                      Orange TV

                        Orange TV Libre

                          Disney

                            AgileTv

                              Netflix

                                Credit Limits

                                  Change Requests

                                    Commitments

                                      DeviceInsurance

                                        Multisim

                                          Payment Plans

                                            Operations

                                              Contracts